@charset "UTF-8";
:root {
    --br-sm: 4px;
    --br-md: 6px;
    --br-lg: 8px;
    --br-xl: 16px;
    --br-50: 50%;
    --t-dark: #2c2c51;
    --t-primary: #495370;
    --t-light: #939cb9;
    --bg-extralight: #f1f2f4;
    --bg-light: #e2e2ed;
    --primary: #1d45cf;
    --primary-005: rgba(29, 69, 207, 0.05);
    --primary-01: rgba(29, 69, 207, 0.1);
    --primary-03: rgba(29, 69, 207, 0.3);
    --danger: #e74c3c;
    --danger-005: rgba(231, 76, 60, 0.05);
    --danger-01: rgba(231, 76, 60, 0.1);
    --danger-03: rgba(231, 76, 60, 0.3);
    --success: #2ecc71;
    --success-005: rgba(46, 204, 113, 0.05);
    --success-01: rgba(46, 204, 113, 0.1);
    --success-03: rgba(46, 204, 113, 0.3);
    --warning: #dbb311;
    --warning-005: rgba(219, 179, 17, 0.05);
    --warning-01: rgba(219, 179, 17, 0.1);
    --warning-03: rgba(219, 179, 17, 0.3);
    --border-color: #dcdfe6;
    --border-color-hover: #c0c4cc;
}
* {
    vertical-align: top;
    font-weight: inherit;
    font-family: inherit;
    font-style: inherit;
    font-size: 100%;
    border: 0 none;
    outline: 0;
    padding: 0;
    margin: 0;
    text-decoration: none;
    background: transparent;
    border-collapse: collapse;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
*:before, *:after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
input[type="search"] {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
*:focus, *:hover, *:active, *:visited, a:focus, a:hover, a:active, a:visited {
    outline: none;
    text-decoration: none;
}
.btn:focus, .btn:active:focus, .btn.active:focus, .btn.focus, .btn:active.focus, .btn.active.focus {
    outline: none;
}
img, object {
    max-width: 100%;
}
li {
    list-style-type: none;
}
a{
    display: inline;
    color: var(--primary);
    border-bottom: 1px dashed transparent;
}
a:hover {
    border-color: var(--primary);
}
.left{
    float: left;
}
.right{
    float: right;
}
.text-left{
    text-align: left;
}
.text-right{
    text-align: right;
}
.text-center{
    text-align: center;
}
.font-normal {
    font-weight: 400;
}
.btn, a, button {
    -webkit-transition: 0.3s;
    -moz-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
    cursor: pointer;
}
section {
    display: inline-block;
    width: 100%;
}
.row {
    margin-left: -8px;
    margin-right: -8px;
}
.col, .col-1, .col-10, .col-11, .col-12, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-auto, .col-lg, .col-lg-1, .col-lg-10, .col-lg-11, .col-lg-12, .col-lg-2, .col-lg-3, .col-lg-4, .col-lg-5, .col-lg-6, .col-lg-7, .col-lg-8, .col-lg-9, .col-lg-auto, .col-md, .col-md-1, .col-md-10, .col-md-11, .col-md-12, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-auto, .col-sm, .col-sm-1, .col-sm-10, .col-sm-11, .col-sm-12, .col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-9, .col-sm-auto, .col-xl, .col-xl-1, .col-xl-10, .col-xl-11, .col-xl-12, .col-xl-2, .col-xl-3, .col-xl-4, .col-xl-5, .col-xl-6, .col-xl-7, .col-xl-8, .col-xl-9, .col-xl-auto {
    padding-right: 8px;
    padding-left: 8px;
}
html, body {
    height: 100%;
    overflow: hidden;
}
body {
    line-height: 1.5;
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    background: var(--bg-extralight);
    overflow-y: auto;
    color: var(--t-dark);
    transition: 0.3s;
}
.w-100 {
    width: 100%;
}
#toast-container {
    top: 16px;
    right: auto;
    left: 50%;
    width: 300px;
    max-width: 90%;
    transform: translateX(-50%);
}
#toast-container>div {
    width: 100%;
    box-shadow: 0 5px 15px 0 rgba(0, 0, 0, 0.3);
    border-radius: var(--br-lg);
    margin: 0 0 8px 0;
    font-size: 16px;
    opacity: 0.92;
}
#toast-container>div:hover {
    box-shadow: 0 8px 25px 0 rgba(0, 0, 0, 0.5);
}
.toast {
    background-color: var(--t-dark);
}
.toast-success {
    background-color: var(--success);
}
.toast-error {
    background-color: var(--danger);
}
.toast-info {
    background-color: var(--primary);
}
.toast-warning {
    background-color: var(--warning);
}
#toast-container>.toast {
    background-image: none !important;
}
#toast-container>.toast:before {
    content: '';
    font-family: 'icomoon' !important;
    speak: never;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    position: absolute;
    left: 11px;
    top: 50%;
    font-size: 28px;
    margin: -14px 0 0 0;
}
#toast-container>.toast-info:before {
    content: "\e95b";
}
#toast-container>.toast-error:before {
    content: '\e959';
}
#toast-container>.toast-success:before {
    content: '\e93c';
}
#toast-container>.toast-warning:before {
    content: '\e9f9';
}
.w-block {
    background: #fff;
    border-radius: var(--br-lg);
    overflow: hidden;
    box-shadow: 0 5px 25px 0 rgba(0,0,0,0.05);
}
.logo img {
    width: 40px;
}
.logo {
    color: var(--t-dark);
    font-weight: 700;
    font-size: 18px;
    white-space: nowrap;
    border: none;
}
.logo .subtitle {
    display: block;
    color: var(--t-light);
    font-weight: 500;
    font-size: 14px;
}
.logo .line {
    border-top: 2px solid var(--t-light);
    opacity: 0.6;
}
.btn {
    border-radius: var(--br-md);
    padding: 7px 16px;
    font-size: 16px;
    line-height: 1.5;
    position: relative;
    z-index: 1;
    border: 1px solid;
    overflow: hidden;
    display: inline-block;
    text-align: center;
}
.btn:before {
    content: '';
    position: absolute;
    right: 0;
    width: 100%;
    top: 0;
    bottom: 0;
    z-index: -1;
    transition: width .5s ease-out;
}
.btn:hover:before {
    width: 0;
    transition-timing-function: cubic-bezier(.52,1.64,.37,.66);
}
.btn i {
    font-size: 120%;
    vertical-align: middle;
    display: inline-block;
    margin-top: -2px;
}
.btn-light {
    padding: 8px 16px;
    border: none;
}
.btn-light:before {
    width: 0;
    right: auto;
    left: 0;
}
.btn-light:hover:before {
    width: 100%;
}
.btn-sm {
    padding: 6px 12px;
    font-size: 14px;
    line-height: 20px;
}
.btn-icon {
    padding: 0;
    width: 40px;
    height: 40px;
    line-height: 40px;
}
.btn-icon.btn-sm {
    width: 32px;
    height: 32px;
    line-height: 32px;
}
.btn-primary {
    border-color: var(--primary);
    color: #fff;
}
.btn-primary:before {
    background: var(--primary);
}
.btn-primary:hover {
    color: var(--primary);
}
.btn-primary.btn-light {
    background: var(--primary-01);
    color: var(--primary);
}
.btn-primary.btn-light:hover {
    color: #fff;
}
.btn-danger {
    border-color: var(--danger);
    color: #fff;
}
.btn-danger:before {
    background: var(--danger);
}
.btn-danger:hover {
    color: var(--danger);
    border-color: var(--danger);
}
.btn-danger.btn-light {
    background: var(--danger-01);
    color: var(--danger);
}
.btn-danger.btn-light:hover {
    color: #fff;
}
.btn-success {
    border-color: var(--success);
    color: #fff;
}
.btn-success:before {
    background: var(--success);
}
.btn-success:hover {
    color: var(--success);
    border-color: var(--success);
}
.btn-success.btn-light {
    background: var(--success-01);
    color: var(--success);
}
.btn-success.btn-light:hover {
    color: #fff;
}
.btn-warning {
    border-color: var(--warning);
    color: #fff;
}
.btn-warning:before {
    background: var(--warning);
}
.btn-warning:hover {
    color: var(--warning);
    border-color: var(--warning);
}
.btn-warning.btn-light {
    background: var(--warning-01);
    color: var(--warning);
}
.btn-warning.btn-light:hover {
    color: #fff;
}
.btn.disabled, .form-control.disabled {
    opacity: 0.3;
    pointer-events: none;
    cursor: not-allowed;
}
.form-control {
    border-radius: var(--br-md);
    width: 100%;
    height: 40px;
    padding: 0 16px 2px 16px;
    border: 1px solid var(--border-color);
    transition: 0.3s;
    color: var(--t-dark);
    font-size: 16px;
    line-height: 1.5;
    background: #fff;
    font-weight: 400;
}
.form-control:hover {
    border-color: var(--border-color-hover);
}
.form-control:focus {
    border-color: var(--primary);
    box-shadow: 0 0 0 5px var(--primary-01);
}
.form-control.is-invalid {
    border-color: var(--danger);
}
.btn-lg {
    font-size: 18px;
    line-height: 26px;
    padding: 9px 30px;
}
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0;
}
input[type="number"] {
    -moz-appearance: textfield;
    appearance: textfield;
}
.h1, .h2, .h3, .h4, .h5, .h6 {
    line-height: 1.3;
    font-weight: 700;
    color: var(--t-dark);
}
.h1 {
    font-size: 28px;
}
.h2 {
    font-size: 24px;
}
.h3 {
    font-size: 21px;
}
.h4 {
    font-size: 18px;
}
.loader {
    --r1: 154%;
    --r2: 68.5%;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background: radial-gradient(var(--r1) var(--r2) at top,#0000 79.5%,var(--primary) 80%), radial-gradient(var(--r1) var(--r2) at bottom,var(--primary) 79.5%,#0000 80%), radial-gradient(var(--r1) var(--r2) at top,#0000 79.5%,var(--primary) 80%), var(--bg-light);
    background-size: 50.5% 220%;
    background-position: -100% 0,0 0,100% 0;
    background-repeat: no-repeat;
    animation: l9 1.5s infinite linear;
}
@keyframes l9 {
    33%  {
        background-position: 0 33% ,100% 33% ,200% 33%;
    }
    66%  {
        background-position: -100%  66%,0 66% ,100% 66%;
    }
    100% {
        background-position: 0 100%,100% 100%,200% 100%;
    }
}
#full-screen-loader {
    position: fixed;
    z-index: 2000;
    background: rgba(255,255,255,0.9);
    backdrop-filter: blur(5px);
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
}
#full-screen-loader .loader {
    position: absolute;
    left: 50%;
    top: 50%;
    margin: -30px 0 0 -30px;
}
.af-close {
    display: none;
}
#sidebar-menu {
    position: fixed;
    left: -350px;
    top: 0;
    bottom: 0;
    width: 285px;
    z-index: 51;
    background: #fff;
    box-shadow: 5px 0 25px 0 rgba(0,0,0,0.05);
    transition: 0.3s;
}
#sidebar-menu.active {
    left: 0;
}
#sidebar-menu .sm-menu {
    overflow: hidden;
    overflow-y: auto;
    height: 100%;
}
#sidebar-menu .sm-menu-item {
    display: flex;
    width: 100%;
    align-items: center;
    padding: 10px;
    border: none;
    color: var(--t-dark);
    border-radius: var(--br-md);
    text-align: left;
    line-height: 1.5;
    cursor: pointer;
    transition: 0.3s;
}
#sidebar-menu .sm-menu-item:hover, #sidebar-menu .sm-menu-item.opened {
    color: var(--primary);
}
#sidebar-menu .sm-menu-item.active {
    background: var(--primary);
    color: #fff;
}
#sidebar-menu .sm-menu-item i {
    margin: 0 10px 0 0;
    font-size: 120%;
}
#sidebar-menu .dropdown ul {
    display: none;
    padding: 10px 0 10px 30px;
}
#sidebar-menu .dropdown .sm-menu-item.active + ul, #sidebar-menu .dropdown .sm-menu-item.opened + ul {
    display: block;
}
#sidebar-menu .dropdown .sm-menu-item.opened + ul {
    padding: 0 0 0 30px;
}
.main-title i {
    font-size: 120%;
}
.table {
    width: 100%;
    border-collapse: separate;
    border-spacing: 0 4px;
}
.table td, .table th {
    padding: 8px 6px 8px 6px;
    text-align: left;
    vertical-align: middle;
}
.table td.text-center, .table th.text-center {
    text-align: center;
}
.table td.text-right, .table th.text-right {
    text-align: right;
}
.table td:first-child, .table th:first-child {
    border-top-left-radius: var(--br-md);
    border-bottom-left-radius: var(--br-md);
    padding-left: 12px;
}
.table td:last-child, .table th:last-child {
    border-top-right-radius: var(--br-md);
    border-bottom-right-radius: var(--br-md);
    padding-right: 12px;
}
.table td {
    background: #fff;
}
.table th {
    background: var(--t-primary);
    color: #fff;
    font-weight: 500;
}
.table thead {
    position: sticky;
    top: 0;
    z-index: 5;
}
.modal .table thead {
    top: -16px;
}
.table-wrap {
    overflow: hidden;
    overflow-y: auto;
}
.pagination {
    display: flex;
    flex-wrap: wrap;
    margin: 0 0 -4px 0;
}
.pagination li:not(:last-child) {
    margin: 0 4px 4px 0;
}
.pagination .page-link {
    background: var(--bg-light);
    color: var(--t-dark);
    line-height: 32px;
    font-size: 16px;
    min-width: 32px;
    padding: 0 8px;
    display: block;
    text-align: center;
    border: none;
}
.pagination a.page-link:hover {
    background: var(--primary-03);
    color: var(--primary);
}
.pagination li:first-child .page-link {
    border-radius: var(--br-md) 0 0 var(--br-md);
}
.pagination li:last-child .page-link {
    border-radius: 0 var(--br-md) var(--br-md) 0;
}
.pagination .active .page-link {
    background: var(--primary);
    color: #fff;
}
.pagination .disabled .page-link {
    opacity: 0.5;
    cursor: no-drop;
}
.pagination .page-item.disabled:not(:first-child):not(:last-child) span.page-link {
    min-width: unset;
    background: transparent;
    opacity: 1;
}
.blocker {
    backdrop-filter: blur(5px);
    background: rgba(0,0,0,0.5);
    padding: 16px;
    z-index: 60;
}
.modal {
    width: 100%;
    padding: 0;
    border-radius: var(--br-lg);
    max-width: 720px;
    box-shadow: 0 5px 25px 0 rgba(0,0,0,0.3);
    perspective: 1px;
    -webkit-transform: translate3d(0,0,0);
    transform: translate3d(0,0,0);
}
.modal-xs {
    max-width: 380px;
}
.modal-sm {
    max-width: 540px;
}
.modal-md {
    max-width: 950px;
}
.modal-lg {
    max-width: 1170px;
}
.modal a.close-modal {
    width: 32px;
    height: 32px;
    background: #fff;
    border-radius: var(--br-md);
    border: none;
    text-indent: 0;
    font-size: 0;
    text-align: center;
    color: var(--t-dark);
    top: -8px;
    right: -8px;
}
.modal a.close-modal:before {
    content: '\e939';
    font-family: 'icomoon' !important;
    speak: never;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 32px;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-size: 20px;
}
.modal a.close-modal:hover {
    color: var(--danger);
}
.modal-header {
    background: var(--bg-light);
    padding: 8px 40px 8px 16px;
    border-radius: var(--br-lg) var(--br-lg) 0 0;
}
.modal-title {
    font-size: 16px;
    font-weight: 600;
    color: var(--t-dark);
}
.form-label {
    margin: 0 0 4px 0;
    font-weight: 500;
    color: var(--t-light);
    font-size: 14px;
    display: inline-block;
    line-height: 1.3;
}
.text-dark {
    color: var(--t-dark);
}
.text-body {
    color: var(--t-primary);
}
.text-light {
    color: var(--t-light);
}
.text-primary {
    color: var(--primary);
}
.text-danger {
    color: var(--danger);
}
.text-success {
    color: var(--success);
}
.text-warning {
    color: var(--warning);
}
select.form-control {
    -webkit-appearance: none;
    appearance: none;
    background-image: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0idXRmLTgiPz4NCjwhRE9DVFlQRSBzdmcgUFVCTElDICItLy9XM0MvL0RURCBTVkcgMS4xLy9FTiIgImh0dHA6Ly93d3cudzMub3JnL0dyYXBoaWNzL1NWRy8xLjEvRFREL3N2ZzExLmR0ZCI+DQo8c3ZnIHdpZHRoPSI4MDBweCIgaGVpZ2h0PSI4MDBweCIgdmlld0JveD0iMCAwIDMyIDMyIiB2ZXJzaW9uPSIxLjEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiPg0KPHBhdGggZD0iTTE1LjIzMyAxOS4xNzVsMC43NTQgMC43NTQgNi4wMzUtNi4wMzUtMC43NTQtMC43NTQtNS4yODEgNS4yODEtNS4yNTYtNS4yNTYtMC43NTQgMC43NTQgMy4wMTMgMy4wMTN6IiBmaWxsPSIjNDk1MzcwIj4NCjwvcGF0aD4NCjwvc3ZnPg0K);
    background-size: 28px auto;
    background-position: right 5px center;
    background-repeat: no-repeat;
    padding-right: 32px;
}
.checkbox-slider {
    display: flex;
    align-items: center;
    cursor: pointer;
}
.checkbox-slider input {
    display: none;
}
.checkbox-slider span {
    display: block;
    width: 44px;
    min-width: 44px;
    height: 24px;
    border-radius: var(--br-xl);
    background: var(--bg-light);
    margin: 0 8px 0 0;
    position: relative;
}
.checkbox-slider.inverse span {
    background: #fff;
}
.checkbox-slider span:before {
    content: '';
    position: absolute;
    z-index: 1;
    width: 20px;
    height: 20px;
    border-radius: var(--br-xl);
    background: #fff;
    left: 2px;
    top: 2px;
    transition: 0.3s;
}
.checkbox-slider.inverse span:before {
    background: var(--bg-light);
}
.checkbox-slider input:checked + span:before {
    background: var(--primary);
    left: 100%;
    margin-left: -22px;
}
.table .alert-tr td {
    padding: 12px;
}
.alert {
    padding: 12px 16px;
    border: 1px solid var(--border-color-hover);
    border-radius: var(--br-md);
    background: var(--bg-light);
}
.alert-info {
    background: var(--primary-01);
    border-color: var(--primary-03);
    color: var(--primary);
}
.alert-danger {
    background: var(--danger-01);
    border-color: var(--danger-03);
    color: var(--danger);
}
.alert-success {
    background: var(--success-01);
    border-color: var(--success-03);
    color: var(--success);
}
.alert-warning {
    background: var(--warning-01);
    border-color: var(--warning-03);
    color: var(--warning);
}
b, strong {
    font-weight: 700;
}
.datepicker {
    cursor: pointer;
}
.datepicker * {
    pointer-events: none;
}
.datepicker .icon {
    min-width: 40px;
    height: 40px;
    background: var(--primary);
    color: #fff;
    font-size: 18px;
    padding: 11px;
    border-radius: var(--br-md) 0 0 var(--br-md);
}
.datepicker .form-control {
    border-radius: 0 var(--br-md) var(--br-md) 0;
    border-left: none;
    width: 130px;
    min-width: 130px;
}
.datepicker .w-100 + .form-control {
    width: 100%;
}
.daterangepicker {
    position: fixed;
    z-index: 70;
    left: 50% !important;
    top: 50% !important;
    transform: translate(-50%, -50%);
    border: none;
    right: auto !important;
    bottom: auto !important;
    margin: 0;
    background: transparent;
    box-shadow: 0 5px 25px 0 rgba(0,0,0,0.3);
    perspective: 1px;
    border-radius: var(--br-lg);
    width: auto;
    font-family: inherit;
}
.daterangepicker:after {
    display: none;
}
.daterangepicker:before {
    border: none;
    backdrop-filter: blur(5px);
    background: rgba(0, 0, 0, 0.5);
    left: -2000px !important;
    right: -2000px !important;
    top: -2000px !important;
    bottom: -2000px !important;
    z-index: -1;
}
.daterangepicker .drp-calendar.left, .daterangepicker .drp-calendar.right {
    background: #fff;
    border-radius: var(--br-lg) 0 0 var(--br-lg);
    padding: 12px 16px;
    max-width: 100%;
    position: relative;
}
.daterangepicker .drp-calendar.right {
    border-radius: 0 var(--br-lg) var(--br-lg) 0;
    padding-left: 17px;
}
.daterangepicker .drp-calendar.right:before {
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 1px;
    background: var(--border-color);
}
.daterangepicker .drp-calendar.left .calendar-table {
    padding: 0;
}
.daterangepicker .calendar-table {
    border: none;
    border-radius: 0;
}
.daterangepicker .calendar-table th, .daterangepicker .calendar-table td {
    min-width: 36px;
    width: 36px;
    height: 36px;
    line-height: 36px;
    font-size: 12px;
    border-radius: 0;
    border: none;
    padding: 0;
    position: relative;
    background: none !important;
    z-index: 1;
}
.daterangepicker td.in-range {
    background: var(--primary-01);
}
.daterangepicker td.in-range:before, .daterangepicker td.start-date:before {
    position: absolute;
    content: '';
    z-index: -2;
    background: var(--primary-01);
    left: 0;
    right: 0;
    top: 3px;
    bottom: 3px;
}
.daterangepicker td.available:hover, .daterangepicker th.available:hover, .daterangepicker td.active, .daterangepicker td.active:hover {
    color: #fff;
}
.daterangepicker td.available:hover:after, .daterangepicker th.available:hover:after, .daterangepicker td.active:after, .daterangepicker td.active:hover:after {
    position: absolute;
    content: '';
    z-index: -1;
    background: var(--primary);
    left: 6px;
    right: 6px;
    top: 6px;
    bottom: 6px;
    border-radius: 50%;
}
.daterangepicker td.start-date:before {
    border-radius: 20px 0 0 20px;
    left: 3px;
}
.daterangepicker td.end-date:before, .daterangepicker td:not(.start-date):hover:before {
    border-radius: 0 20px 20px 0;
    right: 3px;
}
.daterangepicker td.start-date.end-date:before {
    border-radius: 20px;
}
.daterangepicker .calendar-table th {
    font-weight: 400;
    color: var(--t-light);
}
.daterangepicker .calendar-table th * {
    vertical-align: middle;
}
.daterangepicker thead {
    position: relative;
}
.daterangepicker thead:after {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 1px;
    background: var(--border-color);
}
.daterangepicker .calendar-table .next span, .daterangepicker .calendar-table .prev span {
    border-width: 0 1px 1px 0;
    margin: 0 0 0 -2px;
}
.daterangepicker .calendar-table .prev span {
    margin: 0 0 0 2px;
}
.daterangepicker .calendar-table .next:hover span, .daterangepicker .calendar-table .prev:hover span {
    border-color: var(--primary);
}
.daterangepicker .calendar-table .next:before, .daterangepicker .calendar-table .prev:before, .daterangepicker .calendar-table .next:after, .daterangepicker .calendar-table .prev:after {
    display: none;
}
.daterangepicker select.monthselect, .daterangepicker select.yearselect {
    border-radius: 20px;
    border: none;
    padding: 4px 18px 4px 8px;
    font-size: 14px;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    background: var(--bg-extralight) url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAxMDI0IDEwMjQiPjxwYXRoIGZpbGw9IiNhNGE5YjMiIGQ9Ik04MzEuODcyIDM0MC44NjQgNTEyIDY1Mi42NzIgMTkyLjEyOCAzNDAuODY0YTMwLjU5MiAzMC41OTIgMCAwIDAtNDIuNzUyIDAgMjkuMTIgMjkuMTIgMCAwIDAgMCA0MS42TDQ4OS42NjQgNzE0LjI0YTMyIDMyIDAgMCAwIDQ0LjY3MiAwbDM0MC4yODgtMzMxLjcxMmEyOS4xMiAyOS4xMiAwIDAgMCAwLTQxLjcyOCAzMC41OTIgMzAuNTkyIDAgMCAwLTQyLjc1MiAweiI+PC9wYXRoPjwvc3ZnPg==) no-repeat right 5px center;
    background-size: 12px auto;
    line-height: 1.5;
}
.daterangepicker select.monthselect {
    text-transform: capitalize;
}
.daterangepicker .ranges, .daterangepicker .drp-calendar {
    float: left;
}
.daterangepicker[style*="display: block"] {
    display: flex !important;
}
.daterangepicker.single .drp-calendar.left {
    border-radius: var(--br-lg);
    padding: 12px 16px;
}
.daterangepicker.single td:before {
    display: none;
}
.daterangepicker.single td.available:hover:after, .daterangepicker.single td.active:after, .daterangepicker.single td.active:hover:after {
    left: 3px;
    right: 3px;
    top: 3px;
    bottom: 3px;
}
.daterangepicker.single td.active.end-date:not(:hover):not(.start-date) {
    color: #000 !important;
}
.daterangepicker.single td.active.end-date:not(:hover):not(.start-date):after {
    display: none;
}
.daterangepicker td.off.start-date, .daterangepicker td.off.end-date {
    color: #fff;
}
.form-control-sm, .datepicker-sm .form-control {
    padding: 0 12px 2px 12px;
    height: 32px;
}
.datepicker-sm .icon {
    width: 32px;
    height: 32px;
    font-size: 16px;
    padding: 8px;
    min-width: 32px;
}
.datepicker-sm .form-control {
    width: 110px;
    min-width: 110px;
}
.modal .table td {
    background: var(--bg-extralight);
}
.modal .table .table td {
    background: #fff;
}
.checkbox {
    display: flex;
    align-items: center;
    cursor: pointer;
}
.checkbox input {
    display: none;
}
.checkbox span {
    display: block;
    width: 20px;
    min-width: 20px;
    height: 20px;
    border-radius: var(--br-sm);
    background: var(--bg-light);
    margin: 0 8px 0 0;
    position: relative;
    overflow: hidden;
}
.checkbox span:before {
    content: '\e93b';
    font-family: 'icomoon' !important;
    speak: never;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    position: absolute;
    left: 3px;
    top: 2px;
    font-size: 16px;
    color: var(--primary);
    text-shadow: 0 0 1px;
    transition: 0.3s;
    opacity: 0;
    margin: -6px 0 0 0;
}
.checkbox input:checked + span:before {
    opacity: 1;
    margin: 0;
}
textarea {
    resize: vertical;
}
textarea.form-control {
    height: 120px;
    min-height: 80px;
    padding: 12px 16px;
    transition: unset;
}
textarea.form-control-sm {
    padding: 8px 12px;
}
.jconfirm .jconfirm-box {
    padding: 16px 16px 8px 16px;
}
.jconfirm.jconfirm-white .jconfirm-box, .jconfirm.jconfirm-light .jconfirm-box {
    border-radius: var(--br-lg);
    box-shadow: 0 5px 25px 0 rgba(0,0,0,0.3);
}
.jconfirm .jconfirm-box div.jconfirm-closeIcon {
    font-size: 36px !important;
}
.jconfirm .jconfirm-box div.jconfirm-title-c {
    font-size: 21px;
    font-weight: 700;
    color: var(--t-dark);
    padding-bottom: 12px;
}
.jconfirm .jconfirm-box .jconfirm-buttons {
    float: none !important;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin: 0 -8px 0 0;
    padding: 0;
}
.jconfirm.jconfirm-white .jconfirm-box .jconfirm-buttons button, .jconfirm.jconfirm-light .jconfirm-box .jconfirm-buttons button {
    text-transform: none;
    font-weight: 400;
    font-size: 16px;
    line-height: 1.5;
    border-radius: var(--br-md);
    margin: 0 8px 8px 0;
    padding: 7px 16px;
    border: 1px solid;
    transition: 0.3s;
}
.jconfirm .jconfirm-box .jconfirm-buttons button i {
    margin-top: -3px;
}
hr {
    border-top: 1px dashed var(--border-color);
}
.text-nowrap {
    white-space: nowrap;
}
.w-auto {
    width: auto;
}
.jconfirm .jconfirm-box-container {
    -ms-flex: 400px;
    flex: 400px;
    max-width: 400px;
}
#context-menu {
    position: absolute;
    z-index: 12;
    background: #fff;
    box-shadow: 0 5px 35px 0 var(--primary-03);
    border-radius: var(--br-lg);
    display: none;
}
#context-menu:before {
    content: '';
    position: absolute;
    left: 20px;
    top: -14px;
    border: 8px solid transparent;
    border-bottom: 6px solid #fff;
}
#context-menu .btn {
    text-align: left;
    white-space: nowrap;
}
#context-menu:not(.admin) .btn:not(#context-full-info) {
    background: var(--border-color-hover);
    color: var(--t-primary);
    opacity: 0.7;
}
#context-menu:not(.admin) .btn:before {
    display: none;
}
.jconfirm .jconfirm-holder {
    max-width: 100vw;
}
.datepicker.multiple .form-control {
    border-radius: 0;
    border-right: none;
    text-align: center;
}
.datepicker.multiple .form-control ~ .form-control {
    border-radius: 0 var(--br-md) var(--br-md) 0;
    border-right: 1px solid var(--border-color);
}
.datepicker-divider {
    height: 40px;
    border-top: 1px solid var(--border-color);
    border-bottom: 1px solid var(--border-color);
    font-size: 24px;
    line-height: 38px;
}
.menus-backdrop {
    position: fixed;
    z-index: 50;
    backdrop-filter: blur(5px);
    background: rgba(0,0,0,0.5);
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    cursor: pointer;
}
.sm-close, .af-close, .iz-close-btn {
    display: block;
    position: absolute;
    right: -48px;
    top: 8px;
    width: 40px;
    height: 40px;
    font-size: 24px;
    text-align: center;
    padding: 8px;
    color: #fff;
    pointer-events: none;
}
.sidebar-menu-show {
    min-width: 40px;
}
.h-100 {
    height: 100%;
}
.jconfirm .jconfirm-bg {
    backdrop-filter: blur(5px) !important;
    background: rgba(0, 0, 0, 0.5) !important;
    opacity: 1 !important;
}
.small {
    font-size: 80%;
}
.big {
    font-size: 120%;
}
.nav-pills {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    margin: 0 -4px 8px -4px;
}
.nav-pills li {
    transition: 0.3s;
    cursor: pointer;
    padding: 8px 12px;
    border-radius: var(--br-sm);
    margin: 0 4px 8px 4px;
    background: var(--bg-light);
    font-weight: 600;
    font-size: 12px;
    text-transform: uppercase;
}
.nav-pills li:hover {
    color: var(--primary);
    background: var(--primary-01);
}
.nav-pills li.active {
    pointer-events: none;
    color: var(--primary);
}
.tab-content > div {
    display: none;
    opacity: 0;
    transition: opacity .3s linear;
}
.tab-content > div.active {
    display: block;
}
.tab-content > div.show {
    opacity: 1;
}
.iz-close-btn {
    right: 8px;
    z-index: 2;
    pointer-events: all;
}
#image-zoomed {
    position: fixed;
    z-index: 52;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    backdrop-filter: blur(5px);
    background: rgba(0, 0, 0, 0.5);
    cursor: pointer;
    opacity: 0;
    transition: 0.2s;
}
#image-zoomed.active {
    opacity: 1;
}
#iz-image {
    max-width: 100%;
    max-height: 100%;
}
input[type="file"]::file-selector-button {
    display: none;
}
input[type="file"] {
    line-height: 36px;
}
input[type="file"].form-control-sm {
    line-height: 28px;
}
.role-restricted-form .form-control, .role-restricted-form .datepicker, .role-restricted-form .form-label {
    pointer-events: none;
}
.image-zoomable {
    cursor: zoom-in;
}
.invalid-feedback {
    color: var(--danger);
    font-size: 80%;
    display: none;
}

























@media (max-width: 1199.5px) {
    .app-header {
        background: #fff;
        box-shadow: 0 5px 25px 0 rgba(0,0,0,0.05);
    }
    .app-header .logo {
        font-size: 16px;
    }
    .app-header .logo .subtitle {
        font-size: 13px;
    }
    .app-header .logo .line {
        border-width: 1px;
    }
    .app-header .logo img {
        width: 32px;
    }
    .af-close {
        right: auto;
        left: -48px;
    }
    .app-filters {
        position: fixed;
        z-index: 51;
        width: 285px;
        right: -350px;
        top: 0;
        bottom: 0;
        border-radius: 0;
        overflow: unset;
        transition: 0.3s;
    }
    .app-filters.active {
        right: 0;
    }
    .app-filters .datepicker .form-control, .app-filters .btn {
        width: 100%;
    }
    .datepicker.multiple .form-control {
        font-size: 14px;
        padding: 0 12px;
        min-width: unset;
    }
}
@media (max-width: 991.5px) {
    .responsive-table thead {
        display: none;
    }
    .responsive-table, .responsive-table tbody, .responsive-table th {
        display: block;
    }
    .responsive-table tr {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        background: #fff;
        border-radius: var(--br-md);
        box-shadow: 0 5px 25px 0 rgba(0,0,0,0.05);
        padding: 8px 0;
    }
    .responsive-table tr + tr {
        margin-top: 8px;
    }
    .responsive-table td {
        display: flex;
        align-items: center;
        background: transparent;
        padding: 4px 12px;
        border-radius: var(--br-md);
    }
    .responsive-table td:empty {
        display: none;
    }
    .responsive-table .total-row td:first-child {
        background: var(--t-primary);
        color: #fff;
        width: 100%;
        border-radius: var(--br-md) var(--br-md) 0 0;
        text-align: center;
        margin: -8px 0 8px 0;
        padding: 8px 12px;
        justify-content: center;
    }
    .responsive-table td[data-title]:before {
        content: attr(data-title) ':';
        color: var(--t-light);
        font-size: 10px;
        margin: 1px 8px 0 0;
        text-transform: uppercase;
        font-weight: 600;
    }
    .responsive-table tr.alert-tr, .responsive-table tr.alert-tr > td {
        display: block;
    }
    .responsive-table .alert-tr td {
        padding: 4px 12px;
    }
    #users-table tr.paused td:first-child {
        margin-left: 12px;
    }
    .modal .responsive-table td {
        background: transparent;
    }
    .modal .responsive-table tr {
        background: var(--bg-extralight);
        box-shadow: none;
    }
    .modal .responsive-table .responsive-table tr {
        background: #fff;
    }
}
@media (max-width: 767.5px) {
    .h1 {
        font-size: 24px;
    }
    .h2 {
        font-size: 20px;
    }
    .h3 {
        font-size: 18px;
    }
    .h4 {
        font-size: 16px;
    }
}
@media (max-width: 575.5px) {
    .daterangepicker[style*="display: block"] {
        display: block !important;
    }
    .daterangepicker .drp-calendar.left {
        border-radius: var(--br-lg) var(--br-lg) 0 0;
    }
    .daterangepicker .drp-calendar.right {
        border-radius: 0 0 var(--br-lg) var(--br-lg);
        padding-left: 16px;
        padding-top: 13px;
    }
    .daterangepicker .drp-calendar.right:before {
        top: 0;
        bottom: auto;
        left: 0;
        width: 100%;
        height: 1px;
    }
    .mob-w-100 {
        width: 100% !important;
    }
    .jconfirm .jconfirm-box-container {
        -ms-flex: 100%;
        flex: 100%;
        max-width: 100%;
    }
}
@media (min-width: 575.5px) {
    .w-sm-auto {
        width: auto;
    }
}
@media (min-width: 1199.5px) {
    ::-webkit-scrollbar {
        width: 10px;
        height: 10px;
    }
    ::-webkit-scrollbar-track {
        border-radius: 10px;
        background-color: var(--bg-light);
    }
    ::-webkit-scrollbar-thumb {
        background-color: #c9cdd4;
        border-radius: 10px;
        border: 2px solid transparent;
        background-clip: padding-box;
    }
    ::-webkit-scrollbar-thumb:hover {
        background-color: var(--t-light);
    }
}
@media (min-width: 1699.5px) {
    .col-xxl-6 {
        -ms-flex: 0 0 50%;
        flex: 0 0 50%;
        max-width: 50%;
    }
}
@media (min-width: 2199.5px) {
    .col-xxxl-6 {
        -ms-flex: 0 0 50%;
        flex: 0 0 50%;
        max-width: 50%;
    }
}
